/** @hidden */
export class CountAggregator {
    /**
     * Represents an aggregator for COUNT operator.
     * @constructor CountAggregator
     * @ignore
     */
    constructor() {
        this.value = 0;
    }
    /**
     * Add the provided item to aggregation result.
     * @memberof CountAggregator
     * @instance
     * @param other
     */
    aggregate(other) {
        this.value += other;
    }
    /**
     * Get the aggregation result.
     * @memberof CountAggregator
     * @instance
     */
    getResult() {
        return this.value;
    }
}
//# sourceMappingURL=CountAggregator.js.map