import { Response } from "../../request";
import { ExecutionContext } from "../ExecutionContext";
/** @hidden */
export declare class OrderByEndpointComponent implements ExecutionContext {
    private executionContext;
    /**
     * Represents an endpoint in handling an order by query. For each processed orderby \
     * result it returns 'payload' item of the result
     * @constructor OrderByEndpointComponent
     * @param {object} executionContext              - Underlying Execution Context
     * @ignore
     */
    constructor(executionContext: ExecutionContext);
    /**
     * Execute a provided function on the next element in the OrderByEndpointComponent.
     * @memberof OrderByEndpointComponent
     * @instance
     */
    nextItem(): Promise<Response<any>>;
    /**
     * Determine if there are still remaining resources to processs.
     * @memberof OrderByEndpointComponent
     * @instance
     * @returns {Boolean} true if there is other elements to process in the OrderByEndpointComponent.
     */
    hasMoreResults(): boolean;
}
//# sourceMappingURL=OrderByEndpointComponent.d.ts.map