import { __awaiter } from "tslib";
import { hashObject } from "../../utils/hashObject";
/** @hidden */
export class OrderedDistinctEndpointComponent {
    constructor(executionContext) {
        this.executionContext = executionContext;
    }
    nextItem() {
        return __awaiter(this, void 0, void 0, function* () {
            const { headers, result } = yield this.executionContext.nextItem();
            if (result) {
                const hashedResult = yield hashObject(result);
                if (hashedResult === this.hashedLastResult) {
                    return { result: undefined, headers };
                }
                this.hashedLastResult = hashedResult;
            }
            return { result, headers };
        });
    }
    hasMoreResults() {
        return this.executionContext.hasMoreResults();
    }
}
//# sourceMappingURL=OrderedDistinctEndpointComponent.js.map