import { __awaiter } from "tslib";
import { hashObject } from "../../utils/hashObject";
/** @hidden */
export class UnorderedDistinctEndpointComponent {
    constructor(executionContext) {
        this.executionContext = executionContext;
        this.hashedResults = new Set();
    }
    nextItem() {
        return __awaiter(this, void 0, void 0, function* () {
            const { headers, result } = yield this.executionContext.nextItem();
            if (result) {
                const hashedResult = yield hashObject(result);
                if (this.hashedResults.has(hashedResult)) {
                    return { result: undefined, headers };
                }
                this.hashedResults.add(hashedResult);
            }
            return { result, headers };
        });
    }
    hasMoreResults() {
        return this.executionContext.hasMoreResults();
    }
}
//# sourceMappingURL=UnorderedDistinctEndpointComponent.js.map