/**
 * @ignore
 */
export declare const StatusCode: {
    Ok: 200;
    Created: 201;
    Accepted: 202;
    NoContent: 204;
    NotModified: 304;
    BadRequest: 400;
    Unauthorized: 401;
    Forbidden: 403;
    NotFound: 404;
    MethodNotAllowed: 405;
    RequestTimeout: 408;
    Conflict: 409;
    Gone: 410;
    PreconditionFailed: 412;
    RequestEntityTooLarge: 413;
    TooManyRequests: 429;
    RetryWith: 449;
    InternalServerError: 500;
    ServiceUnavailable: 503;
    OperationPaused: 1200;
    OperationCancelled: number;
};
/**
 * @ignore
 */
export declare type StatusCode = typeof StatusCode[keyof typeof StatusCode];
/**
 * @ignore
 */
export declare const SubStatusCode: {
    Unknown: 0;
    CrossPartitionQueryNotServable: 1004;
    PartitionKeyRangeGone: 1002;
    ReadSessionNotAvailable: 1002;
    WriteForbidden: number;
};
export declare type SubStatusCode = typeof SubStatusCode[keyof typeof SubStatusCode];
//# sourceMappingURL=StatusCodes.d.ts.map