import { OperationType } from "../common";
import { ErrorResponse } from "../request";
import { RetryPolicy } from "./RetryPolicy";
/**
 * This class implements the default connection retry policy for requests.
 * @property {int} currentRetryAttemptCount           - Current retry attempt count.
 * @hidden
 * @ignore
 */
export declare class DefaultRetryPolicy implements RetryPolicy {
    private operationType;
    private maxTries;
    private currentRetryAttemptCount;
    retryAfterInMs: number;
    constructor(operationType: OperationType);
    /**
     * Determines whether the request should be retried or not.
     * @param {object} err - Error returned by the request.
     */
    shouldRetry(err: ErrorResponse): Promise<boolean>;
}
//# sourceMappingURL=defaultRetryPolicy.d.ts.map