// Copyright (c) Microsoft Corporation.
// Licensed under the MIT license.
import { __awaiter } from "tslib";
import { createHmac } from "crypto";
export function hmac(key, message) {
    return __awaiter(this, void 0, void 0, function* () {
        return createHmac("sha256", Buffer.from(key, "base64"))
            .update(message)
            .digest("base64");
    });
}
//# sourceMappingURL=hmac.js.map